<h2>Pregled PDF-a</h2>
<p>Podesite izgled PDF-a:</p>
<label for="stil_pdf">Izaberite stil PDF-a</label>
<select style="display:block;" (change)="selected(selTheme.value)" name="theme" id="theme" #selTheme>
  <option selected [value]="0">Classic (default)</option>
  <option [value]="1">Dark</option>
  <option [value]="2">Matfaktura</option>
  <option [value]="3">Light</option>
</select>
<br><br>
<div class="container-fluid" id="container" #container>
  <div class="row justify-content-between">
    <div class="col-3 mr-auto">
      <div class="row">{{racun.naziv}}</div>
      <div class="row">{{racun.klijent_info.naziv}}</div>
      <div class="row">{{racun.klijent_info.adresa}}</div>
      <div class="row">{{racun.klijent_info.postanski_broj}} {{racun.klijent_info.grad}}</div>
      <div class="row">PIB: {{racun.klijent_info.pib}}</div>
    </div>

    <div class="col-3">
      <div class="row">
        <div class="col-auto ml-auto"><img style="height: 100px;width:100px;" src="../../assets/uploads/logo/{{currentNalog.logoUrl}}"></div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">{{currentNalog.naziv}}</div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">{{currentNalog.adresa}}</div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">{{currentNalog.postanski_broj}} {{currentNalog.grad}}</div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">{{currentNalog.telefon}}</div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">{{currentNalog.email}}</div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">{{currentNalog.website}}</div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">PIB: {{currentNalog.pib}}</div>
      </div>
      <div class="row">
        <div class="col-auto ml-auto">MB: {{currentNalog.maticni_broj}}</div>
      </div>
    </div>
  </div>
  <div class="row justify-content-md-center">
    <h2><b> {{naslov}} BR. {{racun.broj}}</b></h2>
  </div>

  <div class="row" *ngIf="tipRacuna == 'pr'">
    <div class="col-auto">
      <p>Datum i mesto izdavanja: {{racun.datum_izdavanja}}, {{racun.mesto_izdavanja}}</p>
      <p>Rok plaćanja: {{racun.rok_placanja}}</p>
    </div>
  </div>

  <div class="row" *ngIf="tipRacuna == 'kr'">
    <div class="col-auto">
      <p>Datum i mesto izdavanja: {{racun.racun.datum_izdavanja}}, {{racun.racun.mesto_izdavanja}}</p>
      <p>Datum i mesto prometa: {{racun.racun.datum_prometa}}, {{racun.racun.mesto_prometa}}</p>
      <p>Rok plaćanja: {{racun.racun.rok_placanja}}</p>
    </div>
  </div>

  <div class="row">
    <div class="col" id="htmlData">
      <table class="table table-bordered">
        <tr class="table-primary">
          <th>REDNI BROJ</th>
          <th>NAZIV</th>
          <th>KOM.</th>
          <th>JM</th>
          <th>CENA/JM</th>
          <th>POPUST</th>
          <th>OSNOVICA</th>
          <th>STOPA PDV</th>
          <th>PDV</th>
          <th>UKUPNO</th>
        </tr>
        <tr *ngFor="let usluga of racun.usluge; let i = index;">
          <td>{{ i+1 }}</td>
          <td>{{ usluga.proizvod_usluga_info.naziv}}</td>
          <td>{{ usluga.kolicina }}</td>
          <td>{{ usluga.proizvod_usluga_info.jedinica_mere}}</td>
          <td>{{ usluga.proizvod_usluga_info.cena_po_jedinici_mere}},00</td>
          <td>{{ usluga.popust }}%</td>
          <td>{{ usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere -
            usluga.popust/100*usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere }},00</td>
          <td>{{ usluga.proizvod_usluga_info.pdv}}% </td>
          <td>{{ (usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere -
            usluga.popust/100*usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere) *
            usluga.proizvod_usluga_info.pdv/100 }},00 </td>
          <td>{{ (usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere -
            usluga.popust/100*usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere)
            + (usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere -
            usluga.popust/100*usluga.kolicina*usluga.proizvod_usluga_info.cena_po_jedinici_mere)*usluga.proizvod_usluga_info.pdv/100}},00
          </td>
          <!-- <td>{{ usluga.phone }}</td>
          <td>{{ usluga.phone }}</td>
          <td>{{ usluga.phone }}</td>
          <td>{{ usluga.phone }}</td>
          <td>{{ usluga.phone }}</td> -->
        </tr>
      </table>
    </div>
  </div>

  <div class="row">
    <div class="col-auto ml-auto">OSNOVICA: {{currentOsnovica}},00</div>
  </div>
  <div class="row">
    <div class="col-auto ml-auto">PDV: {{currentPdv}},00</div>
  </div>
  <div class="row">
    <div class="col-auto ml-auto" style="font-weight: bold;">UKUPNO: {{currentUkupno}},00 </div>
  </div>
  <div class="row">
    <div class="col-md-3 ml-auto">
      <label>Odobrio</label>
      <input type="text" [readonly]="true">
    </div>
  </div>
  
</div>

<div class="row justify-content-md-center">
  <div class="col-12">
    <button (click)="generatePdf()" class="cmd btn btn-success btn-block">Preuzmite PDF</button>
  </div>
  
</div>